module.exports = {
  allEqual(memo, value) {
    return memo === value ? memo : 'Mixed';
  },

  allTrue(memo, value) {
    return memo && value;
  },

  blank() {
    return '';
  },

  max(memo, value) {
    return value > memo ? value : memo;
  },

  mean(memo, value, index, array) {
    const memoInc = memo + value;
    if (index === array.length - 1) {
      return memoInc / array.length;
    }
    return memoInc;
  },

  sum(memo, value) {
    return memo + value;
  },
};
